> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/audience-external-feed-batch-aggregation-reports.md).

# Audience External Feed Batch Aggregation Reports

Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing.

## POST /reports/audience\_external\_feeds/file\_delivery\_report

> Fetch Audience external feeds file\_delivery\_service\_push stats

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience External Feed Batch Aggregation Reports","description":"Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_external_feeds/file_delivery_report":{"post":{"description":"","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"operationId":"getFileDeliveryPushReport","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"organisation_id","in":"query","style":"form","explode":true,"description":"The organisation id in which the search is performed","schema":{"type":"integer","format":"int64"},"required":true}],"tags":["Audience External Feed Batch Aggregation Reports"],"summary":"Fetch Audience external feeds file_delivery_service_push stats"}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /reports/audience\_external\_feeds/tag\_feed\_report

> Fetch Audience tag feeds call stats

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience External Feed Batch Aggregation Reports","description":"Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_external_feeds/tag_feed_report":{"post":{"description":"","summary":"Fetch Audience tag feeds call stats","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Audience External Feed Batch Aggregation Reports"],"operationId":"getAudienceTagFeedPluginCallReport","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"parameters":[{"in":"query","description":"The organisation id in which the search is performed","name":"organisation_id","explode":true,"schema":{"type":"integer","format":"int64"},"required":true,"style":"form"}]}}},"components":{"schemas":{"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /reports/audience\_external\_feeds/file\_aggregation\_report

> Fetch Audience external feeds file\_aggregation stats

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience External Feed Batch Aggregation Reports","description":"Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_external_feeds/file_aggregation_report":{"post":{"tags":["Audience External Feed Batch Aggregation Reports"],"operationId":"getFileAggregationReport","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"summary":"Fetch Audience external feeds file_aggregation stats","parameters":[{"schema":{"type":"integer","format":"int64"},"in":"query","explode":true,"required":true,"style":"form","name":"organisation_id","description":"The organisation id in which the search is performed"}]}}},"components":{"schemas":{"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /reports/audience\_external\_feeds/user\_segment\_update\_report

> Fetch Audience external feeds user\_segment\_update call stats

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience External Feed Batch Aggregation Reports","description":"Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_external_feeds/user_segment_update_report":{"post":{"description":"","summary":"Fetch Audience external feeds user_segment_update call stats","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"operationId":"getUserSegmentUpdateCallReport","parameters":[{"style":"form","explode":true,"schema":{"type":"integer","format":"int64"},"description":"The organisation id in which the search is performed","name":"organisation_id","required":true,"in":"query"},{"in":"query","style":"form","explode":true,"schema":{"type":"integer","format":"int64"},"name":"clean_room_id","description":"The optional clean room id in which the search is performed","required":false}],"tags":["Audience External Feed Batch Aggregation Reports"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /reports/audience\_external\_feeds/batch\_aggregation\_report

> Fetch Audience external feeds batch\_aggregation stats

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience External Feed Batch Aggregation Reports","description":"Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_external_feeds/batch_aggregation_report":{"post":{"operationId":"getBatchAggregationReport","parameters":[{"description":"The organisation id in which the search is performed","schema":{"type":"integer","format":"int64"},"explode":true,"name":"organisation_id","style":"form","in":"query","required":true}],"summary":"Fetch Audience external feeds batch_aggregation stats","description":"","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"tags":["Audience External Feed Batch Aggregation Reports"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /reports/audience\_external\_feeds/batch\_update\_report

> Fetch Audience external feeds batch\_update\_plugin call stats

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Audience External Feed Batch Aggregation Reports","description":"Operations related to Audience External Feed Batch Aggregation Reports for analyzing batched feed data processing."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/reports/audience_external_feeds/batch_update_report":{"post":{"operationId":"getBatchUpdatePluginCallReport","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"tags":["Audience External Feed Batch Aggregation Reports"],"description":"","summary":"Fetch Audience external feeds batch_update_plugin call stats","parameters":[{"name":"organisation_id","in":"query","explode":true,"style":"form","required":true,"schema":{"type":"integer","format":"int64"},"description":"The organisation id in which the search is performed"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/audience-external-feed-batch-aggregation-reports.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
